#!/bin/bash

MODEL_DIR=$ES_SCRATCH/APPS/ifs-bundle-20240523-quick-fix
OUTDIR=$ES_SCRATCH/RUNDIR/ifs-bundle-20240523-scale-tco399-mirror

for N in 4 8 16 32 64
do
    ./run_ifs_nemo.sh   --model-dir $MODEL_DIR \
                        --resolution tco399-eORCA025 \
                        --nodes $N --queue gp_bsces \
                        --outdir $OUTDIR --force --timelimit 00:04:00
done

#exit 0

MPI_PER_NODE=28

for IO_TASKS in 56 112 224 448
do
    IO_NODES=$(($IO_TASKS * 2 / 28))
    NODES=$((32+$IO_NODES))
    echo "NODES: $NODES WITH $IO_NODES IO NODES"
    ./run_ifs_nemo.sh   --model-dir $MODEL_DIR \
                        --resolution tco399-eORCA025 \
                        --nodes $NODES --queue gp_bsces \
                        --io-tasks-nemo $IO_NODES --io-tasks-ifs $IO_NODES \
                        --outdir $OUTDIR --force --timelimit 00:04:00
done
