#!/bin/bash

# Author: Victor Correal (victor.correal@bsc.es)
# Date  : 1/05/2024

INSTALL_DIR=
ENV_FILE=
REF_RUNDIR=
RUNDIR=
FORCE=false

# Force imports:
UTILS_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
source ${UTILS_DIR}/../../bash_utils/helpers.sh
source ${UTILS_DIR}/utils_create_rundir.sh

# 1. Check args
parse_args "$@"
check_required_args
print_options

# 2. Generate rundir & sym-copy inputs:
info "Using $REF_RUNDIR as reference rundir..."
mkdir -p $RUNDIR

cp -P $REF_RUNDIR/* $RUNDIR

# 3. Copy binary, env & manual running script:
REAL_ENV="$(readlink -f "$ENV_FILE")"

ln -svf "$INSTALL_DIR/nemo" "$RUNDIR/nemo"
ln -svf "$REAL_ENV" "$RUNDIR/env.sh"
cp ${UTILS_DIR}/../../running/nemo-standalone/run_nemo_directory.slurm ${RUNDIR}/run_nemo.slurm
